CC = gcc
ASM = as
#CFLAGS =  -D USE_ASSEMBLY -fbounds-checking
CFLAGS = -O3 -D LINUX
OBJECTS =  atqs.o bitop.o datos.o eval.o fen.o genjug.o gentest.o hash.o\
initataq.o initeval.o initpos.o input.o itera.o main.o mueve.o negascou.o\
probe.o see.o sort.o verif.o xboard.o multipv.o time.o btree.o\
stack.o book.o uci.o command.o skipl.o config.o tbindex.o

#all: pepito

pepitox: $(OBJECTS)
	$(CC) $(CFLAGS) -o pepitox $(OBJECTS)

$(OBJECTS): datos.h tipos.h macros.h

atqs.o: atqs.c
	$(CC) $(CFLAGS) -c -o atqs.o atqs.c

datos.o: datos.c
	$(CC) $(CFLAGS) -c -o datos.o datos.c

eval.o: eval.c
	$(CC) $(CFLAGS) -c -o eval.o eval.c

fen.o:  fen.c
	$(CC) $(CFLAGS) -c -o fen.o fen.c

genjug.o: genjug.c
	$(CC) $(CFLAGS) -c -o genjug.o genjug.c

gentest.o: gentest.c
	$(CC) $(CFLAGS) -c -o gentest.o gentest.c

hash.o: hash.c
	$(CC) $(CFLAGS) -c -o hash.o hash.c

initataq.o: initataq.c
	$(CC) $(CFLAGS) -c -o initataq.o initataq.c

initeval.o: initeval.c
	$(CC) $(CFLAGS) -c -o initeval.o initeval.c

initpos.o: initpos.c
	$(CC) $(CFLAGS) -c -o initpos.o initpos.c

input.o: input.c
	$(CC) $(CFLAGS) -c -o input.o input.c

itera.o: itera.c
	$(CC) $(CFLAGS) -c -o itera.o itera.c

main.o: main.c
	$(CC) $(CFLAGS) -c -o main.o main.c

mueve.o: mueve.c
	$(CC) $(CFLAGS) -c -o mueve.o mueve.c

negascou.o: negascou.c
	$(CC) $(CFLAGS) -c -o negascou.o negascou.c

bitop.o: bitop.c
	$(CC) $(CFLAGS) -c -o bitop.o bitop.c

probe.o: probe.c
	$(CC) $(CFLAGS) -c -o probe.o probe.c

see.o: see.c
	$(CC) $(CFLAGS) -c -o see.o see.c

sort.o: sort.c
	$(CC) $(CFLAGS) -c -o sort.o sort.c

verif.o: verif.c
	$(CC) $(CFLAGS) -c -o verif.o verif.c

xboard.o: xboard.c
	$(CC) $(CFLAGS) -c -o xboard.o xboard.c

time.o: time.c
	$(CC) $(CFLAGS) -c -o time.o time.c

config.o: config.c
	$(CC) $(CFLAGS) -c -o config.o config.c

btree.o: btree.h stack.h btree.c
	$(CC) $(CFLAGS) -c -o btree.o btree.c

stack.o: stack.h stack.c
	$(CC) $(CFLAGS) -c -o stack.o stack.c

book.o: btree.h
	$(CC) $(CFLAGS) -c -o book.o book.c

uci.o: uci.h command.h
	$(CC) $(CFLAGS) -c -o uci.o uci.c

command.o: command.h
	$(CC) $(CFLAGS) -c -o command.o command.c

skipl.o: skipl.h
	$(CC) $(CFLAGS) -c -o skipl.o skipl.c

multipv.o: multipv.c
	$(CC) $(CFLAGS) -c -o multipv.o multipv.c

tbindex.o: tbindex.cpp
	$(CC) $(CFLAGS) -c -o tbindex.o tbindex.cpp

clean:
	rm *.o
